## org.apache.lucene.queryParser.core
Class QueryNodeError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.apache.lucene.queryParser.core.QueryNodeError

All Implemented Interfaces:
  java.io.Serializable, NLSException

    public class QueryNodeError

extends java.lang.Error
implements NLSException

Error class with NLS support

See Also:
  `NLS`, `Message`, Serialized Form

Constructor Summary
`QueryNodeError(Message message)`
`QueryNodeError(Message message, java.lang.Throwable throwable)`
`QueryNodeError(java.lang.Throwable throwable)`

Method Summary
`Message` `getMessageObject()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryNodeError

    public QueryNodeError(Message message)

Parameters:
  `message` - - NLS Message Object

### QueryNodeError

    public QueryNodeError(java.lang.Throwable throwable)

Parameters:
  `throwable` - - @see java.lang.Error

### QueryNodeError

    public QueryNodeError(Message message,
                          java.lang.Throwable throwable)

Parameters:
  `message` - - NLS Message Object
  `throwable` - - @see java.lang.Error

Method Detail

### getMessageObject

    public Message getMessageObject()

  Specified by:
    `getMessageObject` in interface `NLSException`
  Returns:
    a instance of a class that implements the Message interface

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.